%define prefix /usr/X11R6
%define wdm_config wdm-config-1.20

Name: wdm
Version: 1.20
Release: alt15

Packager: Alexey Voinov <voins@altlinux.ru>

Summary: WINGs Display Manager
License: GPL
Group: Graphical desktop/Window Maker
Url: http://www.tcscs.com/wdm/

Source0: %name-%version.tar.bz2
Source1: %wdm_config.tar.bz2
Patch0: %name-1.20-vns2.patch
Patch1: %name-1.20-longpasswd.patch
Patch2: %name-1.20-wrlib.patch

Requires: XFree86 => 3.3.2

# Automatically added by buildreq on Tue Feb 11 2003
BuildRequires: WindowMaker-devel XFree86-devel XFree86-libs XFree86-utils fontconfig freetype2 libPropList-devel libXft-devel libexpat libjpeg-devel libpam-devel libpng-devel libtiff-devel libungif-devel wmsetbg xpm-devel xterm zlib-devel


%description
Wdm combines the functions of a graphical display manager identifying
and authenticating a user on a system with some of the functions of a
session manager in selecting and starting a window manager. Optionally,
wdm can shutdwn (reboot or halt) the system.

%prep
%setup -q -a 1
%patch -p1
%patch1 -p1
%patch2 -p1 -b .wrlib

%set_automake_version 1.4
%set_autoconf_version 2.13

%build
export CC="gcc -I/usr/X11R6/include -I/usr/X11R6/include/WINGs"
#CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
CFLAGS="-g" CXXFLAGS="-g" \
LDFLAGS="-lXft2" ./configure \
	--prefix=%prefix --enable-pam --with-wdmdir=%_sysconfdir/X11/wdm
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/X*
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/wdm*
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/GiveConsole
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/TakeConsole
install -pD -m600 %wdm_config/wdm.pamd $RPM_BUILD_ROOT%_sysconfdir/pam.d/wdm
install -pD -m644 %wdm_config/Xaccess $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xaccess
install -pD -m644 %wdm_config/Xresources $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xresources
install -pD -m644 %wdm_config/Xservers $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xservers
install -pD -m755 %wdm_config/Xsession $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xsession
install -pD -m755 %wdm_config/Xsetup_0 $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xsetup_0
install -pD -m600 %wdm_config/wdm-config $RPM_BUILD_ROOT%_sysconfdir/X11/%name/wdm-config
install -pD -m755 %wdm_config/GiveConsole $RPM_BUILD_ROOT%_sysconfdir/X11/%name/GiveConsole
install -pD -m755 %wdm_config/TakeConsole $RPM_BUILD_ROOT%_sysconfdir/X11/%name/TakeConsole

%post
%update_wms

%files
%prefix/bin/wdm
%prefix/bin/wdmLogin
%prefix/man/man1/*
%config(noreplace) %_sysconfdir/pam.d/%name
%config %_sysconfdir/X11/%name/wdm-config
%_sysconfdir/X11/%name/authdir
%_sysconfdir/X11/%name/pixmaps/*
%_sysconfdir/X11/%name/GiveConsole
%_sysconfdir/X11/%name/TakeConsole
%_sysconfdir/X11/%name/X*
%doc AUTHORS ChangeLog INSTALL NEWS README README.pam TODO

%changelog
* Tue Feb 11 2003 Alexey Voinov <voins@voins.program.ru> 1.20-alt15
- BuildReqs fixed
- wrong Requires removed (fixes bug #0002221)

* Mon Nov 20 2002 Alexey Voinov <voins@voins.program.ru> 1.20-alt14
- rebuild with new libwraster.so

* Sun Nov 03 2002 Alexey Voinov <voins@voins.program.ru> 1.20-alt13
- rebuild with new WINGs (Xft support)
- wrlib patch added (libwraster API changed)

* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.20-alt12
- rebuild with gcc3
- updated url

* Thu Jan 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.20-alt11
- Make use of %%update_wms.

* Sat Dec 29 2001 Alexey Voinov <voins@voins.program.ru> 1.20-alt10
- added -longpasswd patch (fixes bug with dropping passwords longer 13 chars)
- uncompressed vns2 patch

* Thu Oct 18 2001 Alexey Voinov <voins@voins.program.ru> 1.20-alt9
- automatic buildreqs fixed
- s/make -j2/make/
- hack for semi-correct including WINGs.h and WUtil.h (export CC...)

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.20-alt8
- rebuild with libpng.so.3

* Fri May 25 2001 Alexey Voinov <voins@voins.program.ru> 1.20-alt7
- Xsession fixed.
- wdm-config marked as %config

* Mon Apr 30 2001 Alexey Voinov <voins@voins.program.ru>
- conditional NoSource. build nosrc.rpm with --define 'nosource 1'

* Thu Apr 26 2001 Alexey Voinov <voins@voins.program.ru>
- Spring2001 build
- session support added (additional patches for fndSession and prefdm)
- better default configuration

* Thu Feb 13 2001 Alexey Voinov <voins@voins.program.ru>
- include path to new WINGS added (for WindowMaker 0.64.0)

* Thu Oct 19 2000 Alexey Voinov <voins@voins.program.ru>
- pam support enabled

* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.19

